// LICENSE CC-BY-SA : http://creativecommons.org/licenses/by-sa/2.0/fr/

#ifndef VISUALISEUR_H
#define VISUALISEUR_H

#include <QMainWindow>
#include <QtGui>

namespace Ui {
    class Visualiseur;
}

class Visualiseur : public QMainWindow {
    Q_OBJECT
public:
    Visualiseur(QWidget *parent = 0);
    QString *line;
    QString amoi(int p, int q, int precision);
    ~Visualiseur();

public slots:
    void refresh();
    void loadFile();
    void loadFrac();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Visualiseur *ui;
    QGraphicsScene *draw;
    QString *filePath;
    QGraphicsRectItem *canevas;
};

#endif // VISUALISEUR_H
